Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Interface FontResolver

All Known Implementing Classes:
  DefaultFontResolver

public interface FontResolver

This interface is used to resolve absolute and relative font URIs.

Method Summary
`javax.xml.transform.Source` | `resolve(java.lang.String href)` Called to resolve an URI to a Source instance.

Method Detail

### resolve

    public javax.xml.transform.Source resolve(java.lang.String href)

  Called to resolve an URI to a Source instance. The base URI needed by the URIResolver's resolve() method is defined to be implicitly available in this case. If the URI cannot be resolved, null is returned and it is assumed that the FontResolver implementation already warned the user about the problem.

  Parameters:
    `href` - An href attribute, which may be relative or absolute.
  Returns:
    A Source object, or null if the href could not resolved.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.